Bug 499748 - Wrong week start in nl_NL locale
Wrong week start in nl_NL locale
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516995
  Show dependency treegraph
 
Reported: 2009-05-07 18:09 EDT by Johan Vromans
Modified: 2009-11-22 19:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 19:56:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program (362 bytes, text/plain)
2009-05-07 18:09 EDT, Johan Vromans
no flags Details

  None (edit)
Description Johan Vromans 2009-05-07 18:09:47 EDT
Created attachment 342945 [details]
Test program

Description of problem:

Under nl_NL locale, weeks start on zondag (sunday). This should be maandag (monday), as per ISO conventions.

Version-Release number of selected component (if applicable):

glibc-2.9-3

How reproducible:

Always.

Steps to Reproduce:

Trivial. See e.g. the attached test program.
Comment 1 Bug Zapper 2009-11-18 04:13:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ulrich Drepper 2009-11-22 19:56:09 EST
No ISO standard dictates what the dutch locale should specify.  But I believe the information is correct.  Since there is no previous maintainer of the locale I made the change.  Will be in the next rawhide build.

Note You need to log in before you can comment on or make changes to this bug.